{ vscode-server, ... }:
{
  universal.home_modules = [
    (
      { pkgs, ... }:
      {
        home.packages = with pkgs; [
          ps
          wget
          libqalculate
          magic-wormhole
        ];
        programs = {
          # For the love of Fucking please keep them in alphabetical order to soothe my brain
          btop = {
            enable = true;
          };
          emacs = {
            enable = true;
          };
          eza = {
            enable = true;
            git = true;
          };
          #          fastfetch = { # removed from universal as this adds gtk3 and imagemagick to the closure, for some godforsaken reason.
          #            enable = true;
          #          };
          micro = {
            enable = true;
          };
          ripgrep = {
            enable = true;
          };
        };
      }
    )
  ];
  universal.modules = [
    {
      programs.screen.enable = true;
    }
  ];
  personal.modules = [
    (
      { pkgs, ... }:
      {
        users.users.emv.extraGroups = [ "video" ];
      }
    )
  ];
  personal.home_modules = [
    (
      { pkgs, ... }:
      {
        home.packages = with pkgs; [
          emulsion
          ffmpeg
          vlc
          signal-desktop
          discord
          obsidian
          #  calibre # still borked apparently, what the hell # still!!!
          libreoffice
        ];

        programs = {
          librewolf = {
            enable = true;
          };
          terminator = {
            enable = true;
          };

        };
      }
    )
    vscode-server.homeModules.default
    {
      services.vscode-server.enable = true;
    }
  ];
  capsaicin.home_modules = [
    (
      { pkgs, ... }:
      {
        home.packages = with pkgs; [
          cryptsetup
          keepassxc
        ];
      }
    )
  ];
}
